package entity;


import entity.datapoint.SenderDataPoint;
import lombok.Data;

/**
 * Rtu通道的父类
 *
 * @author: xiuwei
 * @version:
 */
@Data
public class BaseTcpSlaverTunnelInfo extends BaseTunnelInfo<SenderDataPoint> {

	/**
	 * 自身端口
	 */
	private Integer selfPort;
	/**
	 * 自身ip
	 */
	private String selfIp;

	/**
	 * 远端ip
	 */
	private String remoteIp;

}
