package entity.datagetter;



import container.ProtocolDataContainer;
import entity.datapoint.SenderDataPoint;

import java.math.BigDecimal;

/**
 * 获取数据池数据的转发获取类
 */
public abstract class ContainerDataGetter<T> extends BaseDataGetter<T> {

    ProtocolDataContainer protocolDataContainer = ProtocolDataContainer.getInstance();
    /**
     * 采集点表的ID 即数据池的ID
     */
    protected String dataPointId;

    /**
     * 倍率
     */
    protected BigDecimal ratio;


    public ContainerDataGetter(SenderDataPoint senderDataPoint) {
        this.dataPointId = senderDataPoint.getDataPointId();
        this.ratio = senderDataPoint.getRatio();
    }




    @Override
    public abstract T getValue() ;
}
