package mastertunnelinfo;


import com.baomidou.mybatisplus.annotation.TableName;
import entity.BaseTcpMasterTunnelInfo;
import enums.TunnelType;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 104协议tcp数据采集通道信息
 *
 * @author 修唯xiuwei
 * @version 3.0
 */
@TableName(value = "TCP_MASTER_TUNNEL_INFO")
@EqualsAndHashCode(callSuper = true)
@Data
public class Master104TcpTunnelInfo extends BaseTcpMasterTunnelInfo {


    /**
     * 公共地址位
     */
    private Integer publicAddress;

    /**
     * 初始化时确定通道类型
     */
    public Master104TcpTunnelInfo() {
        this.setTunnelType(TunnelType.IEC104TCPMASTER);
    }


}
