package mastertunnelinfo;


import com.baomidou.mybatisplus.annotation.TableName;

import entity.BaseRtuTunnelInfo;
import entity.datapoint.GatherDataPoint;
import enums.TunnelType;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * modbus协议rtu采集通道
 *
 * @author 修唯xiuwei
 * @version 3.0
 */
@TableName(value = "RTU_TUNNEL_INFO")
@EqualsAndHashCode(callSuper = true)
@Data
public class MasterModbusRtuTunnelInfo extends BaseRtuTunnelInfo<GatherDataPoint> {


	/**
	 * 设备地址
	 */
	private Integer slaveId;

	/**
	 * 初始化时确定通道类型
	 */
	public MasterModbusRtuTunnelInfo() {
		this.setTunnelType(TunnelType.MODBUSRTUMASTER);
	}


}
