package mastertunnelinfo;


import com.baomidou.mybatisplus.annotation.TableName;

import entity.BaseTcpMasterTunnelInfo;
import enums.TunnelType;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * modbus协议tcp采集通道
 *
 * @author 修唯xiuwei
 * @version 3.0
 */
@TableName(value = "TCP_MASTER_TUNNEL_INFO")
@EqualsAndHashCode(callSuper = true)
@Data
public class MasterModbusTcpTunnelInfo extends BaseTcpMasterTunnelInfo {

	/**
	 * 初始化时确定通道类型
	 */
	public MasterModbusTcpTunnelInfo() {
		this.setTunnelType(TunnelType.MODBUSTCPMASTER);
	}


	/**
	 * 设备地址
	 */
	private Integer slaveId;


}
