package slavertunnelinfo;



import entity.BaseTcpSlaverTunnelInfo;
import enums.TunnelType;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * modbus协议tcp发送数据通道信息
 *
 * @author 修唯xiuwei
 * @version 3.0
 */
//@TableName(value = "TCP_SLAVER_TUNNEL_INFO")
@EqualsAndHashCode(callSuper = true)
@Data
public class SlaverModbusTcpTunnelInfo extends BaseTcpSlaverTunnelInfo {


	/**
	 * 设备地址
	 */
	private Integer slaveId;


	/**
	 * 创建类时确定通道类型
	 */
	public SlaverModbusTcpTunnelInfo() {
		this.setTunnelType(TunnelType.MODBUSTCPSLAVE);
	}


}
